%{?nodejs_find_provides_and_requires}

%global packagename engine.io-client
# Tests disabled because they require a server
%global enable_tests 0

Name: nodejs-engine-dot-io-client
Version: 3.1.3
Release: 1%{?dist}
Summary: Client for the realtime Engine
    
License: MIT
URL: https://github.com/socketio/engine.io-client
Source0: http://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(component-emitter)
BuildRequires:  npm(component-inherit)
BuildRequires:  npm(debug)
BuildRequires:  npm(engine.io-parser)
BuildRequires:  npm(has-cors)
BuildRequires:  npm(indexof)
BuildRequires:  npm(parseqs)
BuildRequires:  npm(parseuri)
BuildRequires:  npm(ws)
BuildRequires:  npm(xmlhttprequest-ssl)
BuildRequires:  npm(yeast)
%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(expect.js)
%endif

%description
%{summary}

%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep debug
%nodejs_fixdep ws

%build
$BUILD

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr engine.io.js lib package.json %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%{__nodejs} -e 'require("./")'
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

# fixes E: script-without-shebang
chmod a-x %{buildroot}%{nodejs_sitelib}/%{packagename}/lib/transports/index.js
chmod a-x %{buildroot}%{nodejs_sitelib}/%{packagename}/lib/transports/polling-xhr.js

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Oct 30 2017 Martin Gansser <martinkg@fedoraproject.org> - 3.1.3-1
- First release
